libnvme(2)

NAME
struct nvme_resv_report_args - Arguments for the NVMe Reservation Report command

SYNOPSIS
struct nvme_resv_report_args {
__u32 *result;
struct nvme_resv_status *report;
int args_size;
int fd;
__u32 timeout;
__u32 nsid;
__u32 len;
bool eds;
};

Members

result
    The command completion result from CQE dword0

report
    The user space destination address to store the reservation report

args_size
    Size of struct nvme_resv_report_args

fd  File descriptor of nvme device

timeout
    Timeout in ms

nsid
    Namespace identifier

len Number of bytes to request transferred with this command

eds Request extended Data Structure